import 'dart:io';

import 'package:ka_dart_prompter/src/option.dart';

class Terminal {
  const Terminal();

  void printPrompt(String prompt) {
    _clearScreen();
    stdout.writeln(prompt);
    stdout.write('\n');
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });
  }

  String collectInput() {
    stdout.writeln('\n\nEnter a choice:\n');
    stdout.write('>');
    return stdin.readLineSync();
  }

  void _clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}